package edu.mtech.esof427.keyboard;

public class ComputeTraceAvg implements ComputeTrace
{
    @Override
    public Point getFocalPoint(Trace trace)
    {
        double sumX = 0.0;
        double sumY = 0.0;
        
        for (int i = 0; i < trace.size(); i++)
        {
            Point location = trace.get(i).getLocation();
            sumX += location.getX();
            sumY += location.getY();
        }
        return new Point(sumX / trace.size(), sumY / trace.size());
    }
}
